

int LocationInitStoryLocations(int n)
{
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Clone_location";
	locations[n].id.label = "Farm Field";
	locations[n].filespath.models = "locations\";
	locations[n].image = "loading\Farmfield.tga";
	//Sound
	locations[n].type = "land";
	//Models
	//Always
	locations[n].models.always.house = "farmfield";
	locations[n].models.always.locators = "farmfield_locators";
	locations[n].models.always.grassPatch = "farmfield_grass";

	locations[n].models.always.plan = "farmfield_plan";
	locations[n].models.always.plan.level = 9;

	//Day
	locations[n].models.day.charactersPatch = "farmfield_patch";
	locations[n].models.day.fonar = "farmfield_fd";

	//Night
	locations[n].models.night.charactersPatch = "farmfield_patch";
	locations[n].models.night.fonar = "farmfield_fn";

	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";

	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Tortuga_tavern";
	locations[n].reload.l1.emerge = "reload1";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Town";

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "Cob_house";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "House";

	n = n + 1;
	
	////////////////////////////////////////////////////////////
	///      - 
	////////////////////////////////////////////////////////////
	Locations[n].id = "Ship_deck";
	Locations[n].image = "loading\art\open_sea_clear.tga";
	locations[n].id.label = "Boarding deck";
	//Sound
	Locations[n].type = "deck";
	// ,    Locations[n].boarding = "true";
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;
	//Models
	//Always
	Locations[n].filespath.models = "locations\decks\deckMedium";
	Locations[n].models.always.deckMedium = "deckMedium";
	Locations[n].models.always.locators = "deckMedium_locators";
	//Day
	locations[n].models.day.charactersPatch = "deckMedium_patch";
	Locations[n].models.day.deckMediumFonarsDay = "deckMedium_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckMedium_patch";
	Locations[n].models.night.deckMediumFonarsNight= "deckMedium_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   

	n = n + 1;
	
	////////////////////////////////////////////////////////////
	///      - 
	////////////////////////////////////////////////////////////
    //ID
	Locations[n].id = "Deck_Near_Ship";   //   
	Locations[n].id.label = "Boarding deck";
	//Info
	Locations[n].image = "loading\art\open_sea_clear.tga";
	//Sound
	Locations[n].type = "residence";
	Locations[n].boarding = "true";
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;
	//Models
	//Always
	Locations[n].filespath.models = "locations\decks\deckMedium";
	Locations[n].models.always.deckMedium = "deckMedium";
	Locations[n].models.always.locators = "deckMedium_locators";
	//Day
	locations[n].models.day.charactersPatch = "deckMedium_patch";
	Locations[n].models.always.deckMediumFonarsDay = "deckMedium_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckMedium_patch";
	Locations[n].models.always.deckMediumFonarsNight= "deckMedium_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Reload map
	LAi_LocationFightDisable(&Locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	n = n + 1;

  	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Estate";
	locations[n].id.label = "Estate";
	locations[n].filespath.models = "locations\Estate";
	locations[n].image = "loading\EstateN.tga";
	//Sound
	locations[n].type = "land";
	//Models
	//Always
	locations[n].models.always.estate = "estate";
	
	locations[n].models.always.windows = "estate_windows";
	Locations[n].models.always.windows.tech = "LocationWindows";	
	Locations[n].models.always.windows.level = 66532;	
	//VolumeLight	
	Locations[n].models.always.vlight = "estate_vlight";
	Locations[n].models.always.vlight.uvslide.v0 = 0.05;
    Locations[n].models.always.vlight.uvslide.v1 = 0.0;
	Locations[n].models.always.vlight.tech = "LocationWaterFall";
	Locations[n].models.always.vlight.level = 99950;
	
	locations[n].models.always.locators = "estate_locators";
	locations[n].models.always.grassPatch = "estate_grass";
	//Day
	locations[n].models.day.charactersPatch = "estate_patch";
	locations[n].models.day.fonar = "estate_fd";
	//Night
	locations[n].models.night.charactersPatch = "estate_patch";
	locations[n].models.night.fonar = "estate_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Locations[n].QuestlockWeather = "20 Hour";
	Locations[n].QuestlockWeather.hours = 20;
	Locations[n].QuestlockWeather.minutes = 00;
	//Reload map
	locations[n].reload.l1.name = "reload3";
	locations[n].reload.l1.go = "EstateBadRoom1";
	locations[n].reload.l1.emerge = "reload1";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Bedroom";

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "EstateBadRoom2";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Bedroom";

	locations[n].reload.l3.name = "reload5";
	locations[n].reload.l3.go = "EstateOffice";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Cabinet";
	locations[n].locators_radius.item.item1 = 1.0;
	
	//homo
	locations[n].private1.key = "key3";     //  
	locations[n].private1.key.delItem = true; //eddy.   ,       
	locations[n].private1.items.blade2 = 1;
	locations[n].private1.items.pistol1 = 1;
	locations[n].private1.items.bullet = 10;
	locations[n].private1.items.bullet = 10;
	n = n + 1;

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  #1 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "EstateBadRoom1";
	locations[n].id.label = "Bedroom";
	locations[n].filespath.models = "locations\EstateRooms\EstateBadRoom1";
	locations[n].image = "loading\EstateRoomN.tga";		
	//Models
	//Sound
	locations[n].type = "house";
	//Always
	locations[n].models.always.estateBadRoom = "estateBadRoom1";	
	locations[n].models.always.windows = "estateBadRoom1_windows";
	Locations[n].models.always.windows.tech = "LocationWindows";
	Locations[n].models.always.windows.level = 66532;	
	//VolumeLight	
	Locations[n].models.always.vlight = "estateBadRoom1_vlight";
	Locations[n].models.always.vlight.uvslide.v0 = 0.05;
    Locations[n].models.always.vlight.uvslide.v1 = 0.0;
	Locations[n].models.always.vlight.tech = "LocationWaterFall";
	Locations[n].models.always.vlight.level = 99950;
	
	locations[n].models.always.locators = "estateBadRoom1_locators";
	locations[n].models.always.grassPatch = "estateRooms_grass";
	//Day
	locations[n].models.day.charactersPatch = "estateBadRoom1_patch";
	locations[n].models.day.fonar = "estateRooms_fd";
	//Night
	locations[n].models.night.charactersPatch = "estateBadRoom1_patch";
	locations[n].models.night.fonar = "estateRooms_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Locations[n].QuestlockWeather = "20 Hour";	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Estate";
	locations[n].reload.l1.emerge = "reload3";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Estate";
	n = n + 1;

 	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  #2 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "EstateBadRoom2";
	locations[n].id.label = "Bedroom";
	locations[n].filespath.models = "locations\EstateRooms\EstateBadRoom2";
	locations[n].image = "loading\EstateRoomN.tga";
	//Sound
	locations[n].type = "house";
	//Models
	//Always
	locations[n].models.always.estateBadRoom = "estateBadRoom2";
	locations[n].models.always.windows = "estateBadRoom2_windows";
	Locations[n].models.always.windows.tech = "LocationWindows";
	Locations[n].models.always.windows.level = 66532;
	//VolumeLight	
	Locations[n].models.always.vlight = "estateBadRoom2_vlight";
	Locations[n].models.always.vlight.uvslide.v0 = 0.05;
   	Locations[n].models.always.vlight.uvslide.v1 = 0.0;
	Locations[n].models.always.vlight.tech = "LocationWaterFall";
	Locations[n].models.always.vlight.level = 99950;
	
	locations[n].models.always.locators = "estateBadRoom2_locators";
	locations[n].models.always.grassPatch = "estateRooms_grass";
	//Day
	locations[n].models.day.charactersPatch = "estateBadRoom2_patch";
	locations[n].models.day.fonar = "estateRooms_fd";
	//Night
	locations[n].models.night.charactersPatch = "estateBadRoom2_patch";
	locations[n].models.night.fonar = "estateRooms_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Locations[n].QuestlockWeather = "20 Hour";
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Estate";
	locations[n].reload.l1.emerge = "reload2";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Estate";
	n = n + 1;

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  #1 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "EstateOffice";
	locations[n].id.label = "Cabinet";
	locations[n].filespath.models = "locations\EstateRooms\EstateOffice";
	locations[n].image = "loading\EstateRoomN.tga";
	//Sound
	locations[n].type = "residence";
	//Models
	//Always
	locations[n].models.always.EstateOffice = "estateOffice";
	locations[n].models.always.windows = "estateOffice_windows";
	Locations[n].models.always.windows.tech = "LocationWindows";
	Locations[n].models.always.windows.level = 66532;
	//VolumeLight	
	Locations[n].models.always.vlight = "estateOffice_vlight";
	Locations[n].models.always.vlight.uvslide.v0 = 0.05;
   	Locations[n].models.always.vlight.uvslide.v1 = 0.0;
	Locations[n].models.always.vlight.tech = "LocationWaterFall";
	Locations[n].models.always.vlight.level = 99950;
	
	locations[n].models.always.locators = "estateOffice_locators";
	locations[n].models.always.grassPatch = "estateOffice_grass";
	//Day
	locations[n].models.day.charactersPatch = "estateOffice_patch";
	locations[n].models.day.fonar = "estateOffice_fd";
	//Night
	locations[n].models.night.charactersPatch = "estateOffice_patch";
	locations[n].models.night.fonar = "estateOffice_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Locations[n].QuestlockWeather = "20 Hour";
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Estate";
	locations[n].reload.l1.emerge = "reload5";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Estate";
	n = n + 1;

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "UnderWater";
	locations[n].id.label = "UnderWater";
	locations[n].filespath.models = "locations\UnderWater";	
	locations[n].image = "loading\underwater.tga";
	//Sound	
	locations[n].type = "underwater";
	locations[n].type.LSC = true; // 
	//Models
	//Always	
	Locations[n].models.always.UnderWater = "UnderWater";
	Locations[n].models.always.UnderWater.tech = "DLightModel";	
	
	Locations[n].models.always.outside = "UnderWater_outside";
	Locations[n].models.always.outside.tech = "DLightModel";
			
	Locations[n].models.always.reflect = "UnderWater_reflect";
	Locations[n].models.always.reflect .tech = "DLightModel";	
	Locations[n].models.always.reflect.sea_reflection = 1;
		
	Locations[n].models.always.sails = "UnderWater_sails";	
	Locations[n].models.always.sails.tech = "DLightModel";
		
	Locations[n].models.always.plants = "UnderWater_plants";	
	Locations[n].models.always.plants.tech = "DLightModel";
	//Locations[n].models.always.plants.tech = "LocationWindows";
	//Locations[n].models.always.plants.level = 66532;
		
	Locations[n].models.always.plan1 = "Plan1";
	Locations[n].models.always.plan1.sea_reflection = 1;
		
	Locations[n].models.always.plan2 = "Plan2";
		
	Locations[n].models.always.locators = "UnderWater_locators";	
	
	Locations[n].models.always.grassPatch = "UnderWater_grass";
	Locations[n].models.always.grassPatch.texture = "grass\algaeU2.tga.tx";						
	//Day
	locations[n].models.day.charactersPatch = "UnderWater_patch_day";
	//Night
	locations[n].models.night.charactersPatch = "UnderWater_patch_day";		
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	locations[n].environment.weather.rain = false;
	locations[n].underwater = true;
	Locations[n].QuestlockWeather = "Underwater";
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "LostShipsCity_town";
	locations[n].reload.l1.emerge = "reload73";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "LSC Town";

	locations[n].locators_radius.reload.reload1 = 2.0;
	locations[n].locators_radius.item.item1 = 0.6;
	locations[n].locators_radius.item.item2 = 0.6;
	locations[n].locators_radius.item.item3 = 0.6;
	locations[n].locators_radius.item.item4 = 0.6;
	locations[n].locators_radius.item.item5 = 0.6;
	
	n = n + 1;
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "LaVega_churchQTDM";
	locations[n].id.label = "Church";
	locations[n].image = "loading\inside\Church.tga";
	//Town sack
	locations[n].townsack = "LaVega";
	Locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "Church_fake";
	locations[n].fastreload = "LaVega";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\churchInsideBig1";

	locations[n].models.always.locators = "churchInsideBig1_locators";
	locations[n].models.always.tavern = "churchInsideBig1";
	locations[n].models.always.window = "churchInsideBig1_windows";
	locations[n].models.always.gold = "churchInsideBig1_gold";
	locations[n].models.always.alfa = "churchInsideBig1_alpha";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 50;
	locations[n].models.always.back = "..\inside_back";
	//Day
	locations[n].models.day.charactersPatch = "churchInsideBig1_patch";
	//Night
	locations[n].models.night.charactersPatch = "churchInsideBig1_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "LaVega_townQTDM";
	locations[n].reload.l1.emerge = "reload7";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "LaVega";
	LAi_LocationFightDisable(&locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	n = n + 1;
	
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "LaVega_townQTDM";
	locations[n].id.label = "Street";
	locations[n].worldmap = "LaVega";
	
	locations[n].townsack = "LaVega";
	locations[n].fastreload = "LaVega";
	//locations[n].islandId = "Mein";
	
	locations[n].filespath.models = "locations\Town_Caracas\Town\";
	locations[n].image = "loading\Town.tga";
	locations[n].citizens = true;
	locations[n].soldiers = true;
	locations[n].carrier = true;
	//==>      , int  -    (1-10)
	//locations[n].questSeekCap = 8; 
	//Sound
	locations[n].type = "town_fake2";
	LAi_LocationFantomsGen(&locations[n], true);
	//locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "Caracas";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "Caracas_signsA";
	locations[n].models.always.seabed = "Caracas_sb";
	locations[n].models.always.locators = "Caracas_locators";
	locations[n].models.always.grassPatch = "Caracas_grass";
	//Fontain
	locations[n].models.always.Waterfall1 = "fontain1";
	locations[n].models.always.Waterfall1.uvslide.v0 = 0.5;
    locations[n].models.always.Waterfall1.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall1.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall1.level = 50;
	
	locations[n].models.always.Waterfall2 = "fontain2";
	locations[n].models.always.Waterfall2.uvslide.v0 = 0.2;
    locations[n].models.always.Waterfall2.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall2.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall2.level = 49;
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.15;
	//Day
	locations[n].models.day.fonar = "Caracas_fd";
	locations[n].models.day.charactersPatch = "Caracas_patch_day";
	locations[n].models.day.rinok = "Caracas_rinok";
	//Night
	locations[n].models.night.fonar = "Caracas_fn";
	locations[n].models.night.charactersPatch = "Caracas_patch_night";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Reload map

    // -->   ,    10 .
/*	
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "";
	locations[n].reload.l1.emerge = "";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Sea";
	locations[n].locators_radius.reload.reload1_back = 1.8;
	
	locations[n].reload.l2.name = "reload7_back";
	locations[n].reload.l2.go = "";
	locations[n].reload.l2.emerge = "";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Sea";
*/
	n = n + 1;
	
	/////////////////////////////////////////////////////////////////////
	/////// .  1 -  /////////////////////////
	////////////////////////////////////////////////////////////////////
	Locations[n].id = "Malcolm_CabinQ1_OL";   //  
    locations[n].id.label = "Malcolm_CabinQ1_OL";
	locations[n].filespath.models = "locations\inside\cabin02\";
	locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "sailing_cabine";
	//Models
	//Always
	locations[n].models.always.l1 = "cabin02";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.locators = "cabin02_locators";
	locations[n].models.always.window = "cabin02_fonar";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	locations[n].models.day.charactersPatch = "cabin02_patch";
	//Night
	locations[n].models.night.charactersPatch = "cabin02_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;

	Thieft_LocationDisable(&Locations[n], true);	///   
    LAi_LocationFightDisable(&Locations[n], true);
	Locations[n].locators_radius.randitem.randitem1 = 1;
    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "My_Deck";
	Locations[n].reload.l1.emerge = "reload1";
	Locations[n].reload.l1.label = "Deck.";
	Locations[n].items.randitem1 = "";
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	
	/////////////////////////////////////////////////////////////////////
	//////////////   .  1 -  /////////////
	/////////////////////////////////////////////////////////////////////
	Locations[n].id = "HoldQ1_OL";    //  
	Locations[n].id.label = "HoldQ1_OL";
	//Info
	Locations[n].filespath.models = "locations\decks\hold";
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "hold";
	Thieft_LocationDisable(&Locations[n], true);
	//Models
	//Always
	Locations[n].models.always.locators = "hold_l";
	Locations[n].models.always.l1 = "hold";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "hold_p";
	Locations[n].models.day.fonar = "hold_fd";
	//Night
	Locations[n].models.night.charactersPatch = "hold_p";
	Locations[n].models.night.fonar = "hold_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "false";

    LAi_LocationFightDisable(&Locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	

    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "CannonQ1_OL";
	Locations[n].reload.l1.emerge = "reload_hold";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Cannon";
	//Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	/////////////////////////////////////////////////////////////////////
	//////////////    .  1 -  /////////////
	/////////////////////////////////////////////////////////////////////
	Locations[n].id = "CannonQ1_OL";
	Locations[n].id.label = "Cannon";
	//Info
	Locations[n].filespath.models = "locations\decks\deck2"; //7
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "";
	Thieft_LocationDisable(&Locations[n], true);
	//Models
	//Always
	Locations[n].models.always.locators = "deck2_l";
	Locations[n].models.always.l1 = "deck2";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "deck2_p";
	Locations[n].models.day.fonar = "deck2_fd";
	//Night
	Locations[n].models.night.charactersPatch = "deck2_p";
	Locations[n].models.night.fonar = "deck2_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	//Locations[n].boarding = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   
   // LAi_LocationFightDisable(&Locations[n], true);

    Locations[n].reload.l1.name = "reload_hold";
	Locations[n].reload.l1.go = "";
	Locations[n].reload.l1.emerge = "";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "";

	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "SantoDomingo_town_fake";
	locations[n].id.label = "Street";
	locations[n].worldmap = "SantoDomingo";
	
	locations[n].townsack = "SantoDomingo";
	locations[n].fastreload = "SantoDomingo";
	locations[n].islandId = "Hispaniola";
	
	locations[n].filespath.models = "locations\Town_SantoDomingo\Town\";
	locations[n].image = "loading\Town.tga";
	locations[n].citizens = false;
	locations[n].soldiers = false;
	locations[n].carrier = false;
	//==>      , int  -    (1-10)
	//locations[n].questSeekCap = 5; 
	//Sound
	locations[n].type = "town_fake";
	LAi_LocationFantomsGen(&locations[n], true);
	//locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "SantoDomingo";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "SantoDomingo_signsA";
	locations[n].models.always.seabed = "SantoDomingo_sb";
	locations[n].models.always.locators = "SantoDomingo_locators";
	locations[n].models.always.grassPatch = "SantoDomingo_grass";
	
	locations[n].models.always.plan = "plan1";
	locations[n].models.always.plan.level = 9;
	//River
	locations[n].models.always.Waterfall1 = "river1";
	locations[n].models.always.Waterfall1.uvslide.v0 = 0.2;
    locations[n].models.always.Waterfall1.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall1.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall1.level = 50;
	
	locations[n].models.always.Waterfall2 = "river2";
	locations[n].models.always.Waterfall2.uvslide.v0 = 0.3;
    locations[n].models.always.Waterfall2.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall2.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall2.level = 49;
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.3;
	//Day
	locations[n].models.day.fonar = "SantoDomingo_fd";
	locations[n].models.day.charactersPatch = "SantoDomingo_patch_day";
	locations[n].models.day.rinok = "SantoDomingo_rinok";
	//Night
	locations[n].models.night.fonar = "SantoDomingo_fn";
	locations[n].models.night.charactersPatch = "SantoDomingo_patch_night";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Reload map
	locations[n].reload.l3.name = "reload3_back";
	locations[n].reload.l3.go = "SantoDomingo_townhall";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Residence";
	locations[n].reload.l3.close_for_night = 1;

	locations[n].reload.gate.name = "gate_back";
	locations[n].reload.gate.go = "SantoDomingo_ExitTown";
	locations[n].reload.gate.emerge = "reload3";
	locations[n].reload.gate.autoreload = "0";
	locations[n].reload.gate.label = "ExitTown";
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "SantoDomingo_townhall_fake";
	locations[n].id.label = "Townhall";
	locations[n].filespath.models = "locations\inside\Residence03";
	locations[n].image = "loading\inside\residence.tga";
	//Town sack
	locations[n].townsack = "SantoDomingo";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "residence";
	locations[n].fastreload = "SantoDomingo";
	locations[n].islandId = "Hispaniola";
	// 
	//locations[n].soldiers = false;
	LAi_LocationFantomsGen(&locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Models
	//Always
	locations[n].models.always.locators = "Residence03_locators";
	locations[n].models.always.l1 = "Residence03";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.window = "residence03_window";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;	
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "Residence03_patch";
	//Night
	locations[n].models.night.charactersPatch = "Residence03_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	//Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "";
	locations[n].reload.l1.emerge = "reload3";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Street";

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "SantoDomingo_townhall_bedroom_fake";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Room";
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// Bedroom fake
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "SantoDomingo_townhall_bedroom_fake";
	locations[n].id.label = "Bedroom";
	locations[n].image = "loading\inside\Bedroom.tga";
	locations[n].MustSetReloadBack = true;
	locations[n].Bedroom = true; //    ,  .. id.label 
	//Town sack
	locations[n].townsack = "SantoDomingo";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "";
	Thieft_LocationDisable(&Locations[n], true);	///   
	//Always
	locations[n].filespath.models = "locations\inside\bedRoom1";
	locations[n].models.always.bedRoom1 = "bedRoom1";
	locations[n].models.always.bedRoom1.level = 65538;
	Locations[n].models.always.bedRoom1windows = "mediumhouse01_windows";
	Locations[n].models.always.bedRoom1windows.tech = "LocationWindows";
	locations[n].models.always.bedRoom1windows.level = 65539;
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.locators = "bedRoom1_locators";
	Locations[n].models.day.bedRoom1rand = "bedRoom1_rand";
	locations[n].models.day.charactersPatch = "bedRoom1_patch";
	//Night
	locations[n].models.night.locators = "bedRoom1_Nlocators";
	locations[n].models.night.charactersPatch = "bedRoom1_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "none";
	locations[n].reload.l1.emerge = "none";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Room";
	n = n + 1;
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//      
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "SantoDomingo_podval";
	locations[n].image = "loading\inside\dungeon.tga";
	locations[n].id.label = "dungeon";
	//Sound
	locations[n].townsack = "SantoDomingo";
	locations[n].type = "Dungeon"; //  
 	locations[n].islandId = "Hispaniola";
	//LAi_LocationDisableMonstersGen(&locations[n], true);
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\DungeonVault1";
	locations[n].models.always.DungeonVault1 = "DungeonVault1";
	locations[n].models.always.InquisitionDungeonVault1Fonars = "DungeonVault1_fonars";
	locations[n].models.always.locators = "DungeonVault1_locators";	

	locations[n].locators_radius.item.duhi1 = 1.3;
	
	Locations[n].models.always.rays = "DungeonVault1_rays";
	Locations[n].models.always.rays.level = 49;
	Locations[n].models.always.rays.tech= "LocVisRays";
	Locations[n].models.always.rays.uvslide.u1 = -0.03;
	Locations[n].models.always.rays.uvslide.v1 = -0.03;	
	//Day
	locations[n].models.day.charactersPatch = "DungeonVault1_patch";
	//Night
	locations[n].models.night.charactersPatch = "DungeonVault1_patch";
	//Environment
	Thieft_LocationDisable(&Locations[n], true);	///   
	locations[n].environment.weather = "true";
	Locations[n].lockWeather = "Inside";
	Locations[n].QuestlockWeather = "23 Hour";
	locations[n].environment.sea = "false";
	locations[n].environment.weather.rain = false;
 	//Reload map
	locations[n].reload.l1.name = "reload2_back";
	locations[n].reload.l1.go = "Hispaniola_Jungle_03";
	locations[n].reload.l1.emerge = "reload2";
	locations[n].reload.l2.autoreload = "1";

	locations[n].reload.l2.name = "reload1";
	locations[n].reload.l2.go = "";
	locations[n].reload.l2.emerge = "basement1";
	n = n + 1;
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	
	/////////////////////////////////////////////////////////////////////
	///////  .  2-/////////////////////////
	////////////////////////////////////////////////////////////////////
	Locations[n].id = "Marco_CabinQ2_SD";   //  
    locations[n].id.label = "Marco_CabinQ2_SD";
	locations[n].filespath.models = "locations\inside\cabin02\";
	locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "residence"; //  !!!
	//Models
	//Always
	locations[n].models.always.l1 = "cabin02";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.locators = "cabin02_locators";
	locations[n].models.always.window = "cabin02_fonar";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	locations[n].models.day.charactersPatch = "cabin02_patch";
	//Night
	locations[n].models.night.charactersPatch = "cabin02_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;

	Thieft_LocationDisable(&Locations[n], true);	///   
    LAi_LocationFightDisable(&Locations[n], true);
	Locations[n].locators_radius.randitem.randitem1 = 1;
    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "My_Deck";
	Locations[n].reload.l1.emerge = "reload1";
	Locations[n].reload.l1.label = "Deck.";
	Locations[n].items.randitem1 = "";
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////
	////////////// .  2. .///////////////////////
	/////////////////////////////////////////////////////////////////////////
	//ID
	Locations[n].id = "BOARDING_BIG_DECK_Q2_SD_flash";
	locations[n].id.label = "Boarding deck";
	//Info
	Locations[n].type = "deck_fight";
	Locations[n].filespath.models = "locations\decks\deckMediumVSBig";
	Locations[n].image = "loading\Boarding.tga";

	Thieft_LocationDisable(&Locations[n], true);	///   	
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;	
	//Models	
	//Always
	Locations[n].models.always.deckMediumVSBig = "deckMediumVSBig";
	Locations[n].models.always.locators = "deckMediumVSBig_locators";	
	//Day
	locations[n].models.day.charactersPatch = "deckMediumVSBig_patch";
	Locations[n].models.day.deckFonarsDay = "deckMediumVSBig_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckMediumVSBig_patch";
	Locations[n].models.night.deckFonarsNigh = "deckMediumVSBig_fn";	
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Locations[n].boarding = "true";
	//Locations[n].boarding.locatorNum = 13;
	//Locations[n].boarding.nextdeck = "";
	//Locations[n].UpDeckType = true;
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//     .   2. 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//   ,    -  
	// -------------------------------------------------
    Locations[n].id = "Cabin_Q2_SD_flash";   //  
    locations[n].id.label = "cabine";
	locations[n].filespath.models = "locations\inside\cabin01\";
	locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "boarding_cabine";
	//Models
	//Always
	locations[n].models.always.l1 = "cabin01";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.locators = "cabin01_locators";

	locations[n].models.always.window = "cabin01_fonar";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	locations[n].models.day.charactersPatch = "cabin01_patch";
	//Night
	locations[n].models.night.charactersPatch = "cabin01_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	

	Locations[n].boarding = "true";
	Locations[n].boarding.nextdeck = "";
	Locations[n].camshuttle = 1;
	Locations[n].boarding.locatorNum = 1;
	Locations[n].CabinType = true;
	locations[n].environment.weather.rain = false;
	//Locations[n].boarding.Loc.Hero = "loc0";
  //  Locations[n].boarding.Loc.Capt = "aloc2";
	n = n + 1;
	
	
	////////////////////////////////////////////////////////////////////////////
	////////////////-.  2/////////////////////////////////////
	////////////////////////////////////////////////////////////////////////////
	Locations[n].id = "My_Campus_Q2_SD";
	Locations[n].id.label = "My_Campus";
	Locations[n].filespath.models = "locations\decks\camp_deck";
    Locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "residence"; // .
	//Models
	//Always
	Locations[n].models.always.locators = "camp_deck_l";
	Locations[n].models.always.l1 = "camp_deck";
	locations[n].models.always.l1.level = 65538;

	Locations[n].models.always.window = "camp_deck_w";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	Locations[n].models.day.charactersPatch = "camp_deck_pd";
	Locations[n].models.day.fonar = "camp_deck_fd";
	//Night
	Locations[n].models.night.charactersPatch = "camp_deck_pn";
	Locations[n].models.night.fonar = "camp_deck_fn";
	//Environment
	Locations[n].environment.sea = "true";
	Locations[n].environment.weather = "true";

	locations[n].box1 = Items_MakeTime(0, 1, 1, 2013);

    Locations[n].locators_radius.rld.loc0 = 0.5;
    Locations[n].locators_radius.rld.loc1 = 0.5;
    Locations[n].locators_radius.rld.loc2 = 0.5;
    Locations[n].locators_radius.rld.loc3 = 0.5;
    Locations[n].locators_radius.rld.aloc0 = 0.5;
    Locations[n].locators_radius.rld.aloc1 = 0.5;
    Locations[n].locators_radius.rld.aloc2 = 0.5;
    Locations[n].locators_radius.rld.aloc3 = 0.5;

    LAi_LocationFightDisable(&Locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	

    Locations[n].reload.l1.name = "reload2";
	Locations[n].reload.l1.go = "";
	Locations[n].reload.l1.emerge = "";
	Locations[n].reload.l1.label = "Deck.";

	Locations[n].items.randitem2 = "";
	Locations[n].items.randitem1 = "";

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	////////////////////////////////////////////////////////////
	/// SantoDomingo Fort  .  2.
	////////////////////////////////////////////////////////////
	//ID
	Locations[n].id = "SantoDomingo_Fort_fake";
	locations[n].id.label = "SantoDomingo Fort";
	//Info
	Locations[n].image = "loading\outside\Fort.tga";
	locations[n].townsack = "SantoDomingo";
	//Sound
	locations[n].type = "fort_attack";
	locations[n].parent_colony = "SantoDomingo";
	locations[n].islandId = "Hispaniola";
	locations[n].soldiers = true;
	Locations[n].image = "loading\Fort_512.tga";
	LAi_LocationFantomsGen(&locations[n], false);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//  .reload
	Locations[n].boarding.locatorNum = 15;
	Locations[n].boarding = "false";
	Locations[n].boarding.nextdeck = "";
	//Models
	//Always
	Locations[n].filespath.models = "locations\Fort_inside\FortV";
	Locations[n].models.always.fortV = "fortV_attack";	
	locations[n].models.always.fortV.level = 65538;
	Locations[n].models.always.fortVrock = "fortV_rock";
	Locations[n].models.always.fortVseabed = "fortV_sb";
	Locations[n].models.always.locators = "FortV_lAttack";
	Locations[n].models.always.grassPatch = "fortV_grass";
	Locations[n].models.always.grassPatch.texture = "grass\grassshore.tga.tx";
	
	Locations[n].models.always.l1 = "plan1";
	Locations[n].models.always.l1.level = 9;
	Locations[n].models.always.l1.tech = "LocationModelBlend";	
	//Day
	locations[n].models.day.charactersPatch = "fortV_patch";
	Locations[n].models.day.fortVFonarsDay = "fortV_fd";
	//Night
	locations[n].models.night.charactersPatch = "fortV_patch";
	Locations[n].models.night.fortVBigNight= "fortV_fn";		
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
    //Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "SantoDomingo_ExitTown";
	locations[n].reload.l1.emerge = "reload1";
	locations[n].reload.l1.autoreload = "1";
	locations[n].locators_radius.reload.reload1_back = 2.0;

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "SantoDomingo_prison";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "CommonRoom_MH7_fakeQ3_PC";
	locations[n].id.label = "House";
	locations[n].image = "loading\inside\mediumhouse10.tga";
	locations[n].MustSetReloadBack = true;
	//Town sack
	locations[n].townsack = "SanJuan";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\mediumhouse07";
	locations[n].models.always.house = "mediumhouse07";
	locations[n].models.always.house.level = 65538;
	locations[n].models.day.locators = "mediumhouse07_locators";
	locations[n].models.night.locators = "mediumhouse07_Nlocators";

	Locations[n].models.always.mediumhouse07windows = "mediumhouse07_windows";
	Locations[n].models.always.mediumhouse07windows.tech = "LocationWindows";
	locations[n].models.always.mediumhouse07windows.level = 65539;
	locations[n].models.always.tul = "mediumhouse07_tul";
	Locations[n].models.always.tul.tech = "LocationWaterFall";
	locations[n].models.always.tul.level = 180;

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	Locations[n].models.day.mediumhouse07rand= "mediumhouse07_rand";
	locations[n].models.day.charactersPatch = "mediumhouse07_patch";
	//Night
	locations[n].models.night.charactersPatch = "mediumhouse07_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "";
	locations[n].reload.l1.emerge = "";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "";
	n = n + 1;
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// Bedroom ,      ..   3.
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "CommonBedroom_Q3_PC";
	locations[n].id.label = "Bedroom";
	locations[n].image = "loading\inside\Bedroom.tga";
	locations[n].MustSetReloadBack = true;
	locations[n].Bedroom = true; //    ,  .. id.label 
	//Town sack
	locations[n].townsack = "SanJuan";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "";
	//Always
	locations[n].filespath.models = "locations\inside\bedRoom1";
	locations[n].models.always.bedRoom1 = "bedRoom1";
	locations[n].models.always.bedRoom1.level = 65538;
	Locations[n].models.always.bedRoom1windows = "mediumhouse01_windows";
	Locations[n].models.always.bedRoom1windows.tech = "LocationWindows";
	locations[n].models.always.bedRoom1windows.level = 65539;
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.locators = "bedRoom1_locators";
	Locations[n].models.day.bedRoom1rand = "bedRoom1_rand";
	locations[n].models.day.charactersPatch = "bedRoom1_patch";
	//Night
	locations[n].models.night.locators = "bedRoom1_Nlocators";
	locations[n].models.night.charactersPatch = "bedRoom1_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "SanJuan_townhall";
	locations[n].reload.l1.emerge = "reload2";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Room";
	n = n + 1;
	
	
	
	
	
	
	
	
	
	
	
	
	
	Locations[n].filespath.models = "locations\town_Oxbay\port";
	Locations[n].image = "loading\oxbay_port.tga";

	Locations[n].id = "Oxbay_port";
	locations[n].id.label = "Oxbay port";
	locations[n].worldmap = "Oxbay";
	//Town sack
	Locations[n].townsack = "Oxbay";
	//Sound
	locations[n].type = "port";
	locations[n].fastreload = "Oxbay";
	LAi_LocationFantomsGen(&locations[n], true);
	//Models
	//Always
	Locations[n].models.always.locators = "OXport_l";
	Locations[n].models.always.l1 = "OXport";
	Locations[n].models.always.l1.foam = "1";
	Locations[n].models.always.l1.tech = "DLightModel";
	Locations[n].models.always.l2 = "OXport_sb";
	Locations[n].models.always.l2.foam = "1";
	Locations[n].models.always.grassPatch = "OXport_g";
	//Day
	Locations[n].models.day.fonar = "OXport_fd";
	Locations[n].models.day.charactersPatch = "OXport_pd";
	Locations[n].models.day.rinok = "OXport_e1";
	Locations[n].models.day.jumpPatch = "OXport_j";
	//Night
	Locations[n].models.night.fonar = "OXport_fn";
	Locations[n].models.night.charactersPatch = "OXport_pn";
	Locations[n].models.night.jumpPatch = "OXport_j";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	//Reload map
	Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Oxbay_town";
	Locations[n].reload.l1.emerge = "reload1";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Oxbay.";

	Locations[n].reload.l3.name = "reload2";
	Locations[n].reload.l3.go = "Oxbay";
	Locations[n].reload.l3.emerge = "reload_2";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "Sea";

	Locations[n].reload.l2.name = "reload2_back";
	Locations[n].reload.l2.go = "Oxbay";
	Locations[n].reload.l2.emerge = "reload_2";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "Sea.";
	Locations[n].locators_radius.reload.relo1ad2_back = 3;

	Locations[n].reload.l4.name = "reload3";
	Locations[n].reload.l4.go = "Dungeon 1";
	Locations[n].reload.l4.emerge = "reload2";
	Locations[n].reload.l4.autoreload = "0";
	Locations[n].reload.l4.label = "Cave.";
	Locations[n].locators_radius.reload.reload2_back = 3;
	n = n + 1;

	// -------------------------------------------------
	Locations[n].filespath.models = "locations\town_Oxbay\town";
	Locations[n].image = "loading\oxbay_town.tga";

	Locations[n].id = "Oxbay_town";
	locations[n].id.label = "Oxbay";
	locations[n].worldmap = "Oxbay";
	//Town sack
	Locations[n].townsack = "Oxbay";
	//Sound
	locations[n].type = "town";
	locations[n].fastreload = "Oxbay";
	LAi_LocationFantomsGen(&locations[n], true);
	//Models
	//Always
	Locations[n].models.always.locators = "OXtown_l";
	Locations[n].models.always.grassPatch = "OXtown_g";
	Locations[n].models.always.town = "OXtown";
	Locations[n].models.always.town.tech = "DLightModel";
	Locations[n].models.always.l1 = "oxtown_b04";
	Locations[n].models.always.l1.level = 6;
	Locations[n].models.always.l1.tech = "LocationModelBlend";
	//Day
	Locations[n].models.day.fonar = "OXtown_fd";
	Locations[n].models.day.charactersPatch = "OXtown_pd";
	Locations[n].models.day.jumpPatch = "OXtown_j";
	Locations[n].models.day.rinok = "OXtown_e1";
	//Night
	Locations[n].models.night.fonar = "OXtown_fn";
	Locations[n].models.night.charactersPatch = "OXtown_pn";
	Locations[n].models.night.jumpPatch = "OXtown_j";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "false";
	//Reload map
	Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Oxbay_port";
	Locations[n].reload.l1.emerge = "Reload1";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Port.";

	Locations[n].reload.l9.name = "reload7";
	Locations[n].reload.l9.go = "Oxbay_HouseInsideR7";
	Locations[n].reload.l9.emerge = "reload1";
	Locations[n].reload.l9.autoreload = "0";
	Locations[n].reload.l9.label = "House.";

	Locations[n].reload.l10.name = "reload5";
	Locations[n].reload.l10.go = "Oxbay_HouseInsideR5";
	Locations[n].reload.l10.emerge = "reload1";
	Locations[n].reload.l10.autoreload = "0";
	Locations[n].reload.l10.label = "House.";

	Locations[n].reload.l20.name = "reload9";
	Locations[n].reload.l20.go = "Oxbay_HouseInsideR9";
	Locations[n].reload.l20.emerge = "reload1";
	Locations[n].reload.l20.autoreload = "0";
	Locations[n].reload.l20.label = "House.";

	Locations[n].reload.l21.name = "reload8";
	Locations[n].reload.l21.go = "Oxbay_HouseInsideR8";
	Locations[n].reload.l21.emerge = "reload1";
	Locations[n].reload.l21.autoreload = "0";
	Locations[n].reload.l21.label = "House.";

	Locations[n].reload.l22.name = "reload17";
	Locations[n].reload.l22.go = "Oxbay_HouseInsideR17";
	Locations[n].reload.l22.emerge = "reload1";
	Locations[n].reload.l22.autoreload = "0";
	Locations[n].reload.l22.label = "House.";

	Locations[n].reload.l2.name = "reload12";
	Locations[n].reload.l2.go = "Oxbay_town_exit";
	Locations[n].reload.l2.emerge = "reload3";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "Jungle.";

	Locations[n].reload.l3.name = "reload15";
	Locations[n].reload.l3.go = "Oxbay_store";
	Locations[n].reload.l3.emerge = "locator2";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "Store.";
	Locations[n].reload.l3.close_for_night = 1;

	Locations[n].reload.l4.name = "reload13";
	Locations[n].reload.l4.go = "Oxbay_tavern";
	Locations[n].reload.l4.emerge = "reload1";
	Locations[n].reload.l4.autoreload = "0";
	Locations[n].reload.l4.label = "Tavern.";

	Locations[n].reload.l18.name = "reload18";
	Locations[n].reload.l18.go = "Oxbay_UsurerHouse";
	Locations[n].reload.l18.emerge = "reload1";
	Locations[n].reload.l18.autoreload = "0";
	Locations[n].reload.l18.label = "Loanshark's Office.";
	Locations[n].reload.l18.close_for_night = 1;

	Locations[n].reload.l7.name = "reload3";
	Locations[n].reload.l7.go = "Oxbay_Shipyard";
	Locations[n].reload.l7.emerge = "reload1";
	Locations[n].reload.l7.autoreload = "0";
	Locations[n].reload.l7.label = "Shipyard.";
	Locations[n].reload.l7.close_for_night = 1;

	Locations[n].reload.l55.name = "reload19";
	Locations[n].reload.l55.go = "Dungeon 1";
	Locations[n].reload.l55.emerge = "reload1";
	Locations[n].reload.l55.autoreload = "0";
	Locations[n].reload.l55.label = "Underworld.";
	Locations[n].reload.l55.close_for_night = 0;
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// . -.  .  4
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "BasTer_town_Q4_fake";
	locations[n].id.label = "Street";
	locations[n].worldmap = "Guadeloupe";
	locations[n].filespath.models = "locations\Town_Guadeloupe\Town\";
	
	locations[n].image = "loading\Town.tga";
//	locations[n].citizens = true;
//	locations[n].soldiers = true;
//	locations[n].carrier = true;
	//Town sack
	locations[n].townsack = "BasTer";
	//Sound
	locations[n].type = "town";
	locations[n].fastreload = "BasTer";
	locations[n].islandId = "Guadeloupe";
//	LAi_LocationFantomsGen(&locations[n], true);
//	locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "Guadeloupe";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "Guadeloupe_signsA";
			locations[n].models.always.L2 = "Guadeloupe_boxQ4";
			Locations[n].models.always.L2.tech = "DLightModel";
			locations[n].models.always.flag = "Guadeloupe_flags";
			Locations[n].models.always.flag.tech = "DLightModel";			
	locations[n].models.always.seabed = "Guadeloupe_sb";
	locations[n].models.always.grassPatch = "Guadeloupe_grass";
	locations[n].models.always.locators = "Guadeloupe_locators_Q4";
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.3;
	//Day
	locations[n].models.day.fonar = "Guadeloupe_fd";
	locations[n].models.day.rinok = "Guadeloupe_rinok";
	//locations[n].models.day.charactersPatch = "Guadeloupe_patch_day";
		locations[n].models.day.charactersPatch = "Guadeloupe_patch_Q4";
		Locations[n].models.day.jumpPatch = "Guadeloupe_jump_patch_Q4";
	//Night
	locations[n].models.night.fonar = "Guadeloupe_fn";
	locations[n].models.night.charactersPatch = "Guadeloupe_patch_night";
	Locations[n].models.day.jumpPatch = "Guadeloupe_jump_patch_Q4";	
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;
	
	////////////////////////////////////////////////////////////////////////////
	////////////////  " ".  5 /////////////////////////////////////
	////////////////////////////////////////////////////////////////////////////
	Locations[n].id = "Q5_CVShip_deck_Medium";
	Locations[n].image = "loading\sea.tga";
	locations[n].id.label = "Q5_CV_deck";
	//Sound
	Locations[n].type = "deck";
	// ,    Locations[n].boarding = "true";
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;
	//Models
	//Always
	Locations[n].filespath.models = "locations\decks\deckMedium";
	Locations[n].models.always.deckMedium = "deckMedium";
	Locations[n].models.always.locators = "deckMedium_locators";
	//Day
	locations[n].models.day.charactersPatch = "deckMedium_patch";
	Locations[n].models.day.deckMediumFonarsDay = "deckMedium_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckMedium_patch";
	Locations[n].models.night.deckMediumFonarsNight= "deckMedium_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	n = n + 1;	

	////////////////////////////////////////////////////////////////////////////
	////////////////  " ".  5 /////////////////////////////////////
	////////////////////////////////////////////////////////////////////////////	
	Locations[n].id = "Q5_CVShip_Cabin_Medium";
	Locations[n].id.label = "Q5_CV_Cabin";
	Locations[n].filespath.models = "locations\decks\capmd";
    Locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "capmd_l";
	Locations[n].models.always.l1 = "capmd";
	locations[n].models.always.l1.level = 65538;

	Locations[n].models.always.window = "capmd_w";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	Locations[n].models.day.charactersPatch = "capmd_pd";
	Locations[n].models.day.fonar = "capmd_fd";
	//Night
	Locations[n].models.night.charactersPatch = "capmd_pn";
	Locations[n].models.night.fonar = "capmd_fn";
	//Environment
	Locations[n].environment.sea = "true";
	Locations[n].environment.weather = "true";

	locations[n].box1 = Items_MakeTime(0, 1, 1, 2013);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2013);
    Locations[n].locators_radius.randitem.randitem1 = 1;
    Locations[n].locators_radius.randitem.randitem2 = 1;

    Locations[n].locators_radius.rld.loc0 = 0.5;
    Locations[n].locators_radius.rld.loc1 = 0.5;
    Locations[n].locators_radius.rld.loc2 = 0.5;
    Locations[n].locators_radius.rld.aloc0 = 0.5;
    Locations[n].locators_radius.rld.aloc1 = 0.5;
    Locations[n].locators_radius.rld.aloc2 = 0.5;

    LAi_LocationFightDisable(&Locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   

	Locations[n].items.randitem2 = "";
	Locations[n].items.randitem1 = "";

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
	////////////////////////////////////////////////////////////
	//////    6
	////////////////////////////////////////////////////////////
	//ID
	Locations[n].id = "Q6_Caracas_Fort";
	locations[n].id.label = "Caracas Fort";
	//Info
	Locations[n].image = "loading\outside\Fort.tga";
	locations[n].townsack = "Caracas";
	//Sound
	locations[n].type = "fort";
	locations[n].parent_colony = "Caracas";
	locations[n].islandId = "Mein";
//	locations[n].soldiers = false;	//
//	LAi_LocationFantomsGen(&locations[n], false);	//
	//Always
	Locations[n].filespath.models = "locations\Fort_inside\FortVRight";
	Locations[n].models.always.fortV = "fortVRight";
	locations[n].models.always.fortV.level = 65538;
	Locations[n].models.always.fortVrock = "fortVRight_rock";	
	Locations[n].models.always.fortVseabed = "fortVRight_sb";
	Locations[n].models.always.locators = "fortVRight_locators";		
	Locations[n].models.always.grassPatch = "fortVRight_grass";
	Locations[n].models.always.grassPatch.texture = "grass\grassshore.tga.tx";
	
	Locations[n].models.always.l1 = "plan1";
	Locations[n].models.always.l1.level = 9;
	Locations[n].models.always.l1.tech = "LocationModelBlend";	
	//Day
	locations[n].models.day.charactersPatch = "fortVRight_patch";
	Locations[n].models.day.fortVFonarsDay = "fortVRight_fd";
	//Night
	locations[n].models.night.charactersPatch = "fortVRight_patch";
	Locations[n].models.night.fortVBigNight= "fortVRight_fn";			
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
    //Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Shore21";
	locations[n].reload.l1.emerge = "reload1";
	locations[n].reload.l1.autoreload = "1";
	locations[n].locators_radius.reload.reload1_back = 2.0;
	n = n + 1;
	
	//////////////////////    6  ////////////////////////////
	Locations[n].id = "Q6_Carac_pris";
	locations[n].id.label = "Prison";
	Locations[n].image = "loading\inside\prison.tga";
	locations[n].townsack = "Caracas";
	locations[n].parent_colony = "Caracas";
	locations[n].islandId = "Mein";
//	locations[n].soldiers = false;	//
	//Sound
///	locations[n].type = "jail";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\prison1";
	locations[n].models.always.prison1 = "prison1";
	locations[n].models.always.lamps = "prison1_lamps";
	locations[n].models.always.locators = "prison1_locators";	
	//Day
	locations[n].models.day.charactersPatch = "prison1_patch";
	//Night
	locations[n].models.night.charactersPatch = "prison1_patch";
	//Environment
	locations[n].environment.weather = "true";
	Locations[n].lockWeather = "Inside";
	Locations[n].QuestlockWeather = "23 Hour";
	locations[n].environment.sea = "false";
	locations[n].environment.weather.rain = false;
	Thieft_LocationDisable(&Locations[n], true);	///   	
    //Reload map
	Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q6_Caracas_fort";
	Locations[n].reload.l1.emerge = "reload2";
	Locations[n].reload.l1.autoreload = "0";
	n = n + 1;	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  San_Juan
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q6_SanJuan_town";
	locations[n].id.label = "Street";
	locations[n].worldmap = "SanJuan";
	locations[n].townsack = "SanJuan";
//	locations[n].fastreload = "SanJuan";
	locations[n].islandId = "PuertoRico";
	locations[n].filespath.models = "locations\Town_PuertoRico\Town\";
	locations[n].image = "loading\Town.tga";
	locations[n].citizens = false;	//
	locations[n].soldiers = false;	//
	locations[n].carrier = false;	//
	//Sound
	locations[n].type = "";
	LAi_LocationFantomsGen(&locations[n], false);	//
	locations[n].houseEnc = false; //   	//
	//Models
	//Always
	locations[n].models.always.town = "SanJuan";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "SanJuan_signsA";
	locations[n].models.always.seabed = "SanJuan_sb";
	locations[n].models.always.locators = "SanJuan_locators";
	locations[n].models.always.grassPatch = "SanJuan_grass";
	locations[n].models.always.plan = "plan1";
	locations[n].models.always.plan.level = 9;
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.0;	//0.3
	//Day
	locations[n].models.day.fonar = "SanJuan_fd";
	locations[n].models.day.charactersPatch = "SanJuan_patch_day";
	locations[n].models.day.rinok = "SanJuan_rinok";
	//Night
	locations[n].models.night.fonar = "SanJuan_fn";
	locations[n].models.night.charactersPatch = "SanJuan_patch_night";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l3.name = "reload3_back";
	locations[n].reload.l3.go = "Q6_SanJuan_townhall";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Residence";
	locations[n].reload.l3.disable = 0;
	n = n + 1;	

 	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  San_Juan
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q6_SanJuan_townhall";
	locations[n].id.label = "Townhall";
	locations[n].filespath.models = "locations\inside\Residence02";
	locations[n].image = "loading\inside\residence.tga";
	//Town sack
	locations[n].townsack = "SanJuan";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "";
//	locations[n].fastreload = "SanJuan";
	locations[n].islandId = "PuertoRico";
	// 
	locations[n].soldiers = false;	//
	LAi_LocationFantomsGen(&locations[n], false);	//
	//Models
	//Always
	locations[n].models.always.locators = "Residence02_locators";
	locations[n].models.always.l1 = "Residence02";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.window = "residence02_window";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;	
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "Residence02_patch";
	//Night
	locations[n].models.night.charactersPatch = "Residence02_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_LaVega_town";
	locations[n].id.label = "Street";
	locations[n].image = "loading\towns\pearl1.tga";
	locations[n].worldmap = "LaVega_town";
	locations[n].citizens = true;
///	locations[n].soldiers = true;	
	//Town sack
	locations[n].townsack = "LaVega";
	//Sound
	locations[n].type = "town";
	locations[n].fastreload = "LaVega";
	locations[n].islandId = "Hispaniola";
	//Models
	//Always
	Locations[n].filespath.models = "locations\Outside\smugglerLairTown";
	Locations[n].models.always.smugglerLairTown = "smugglerLairTown";	
	Locations[n].models.always.locators = "smugglerLairTown_locators";		
	Locations[n].models.always.grassPatch = "smugglerLairTown_grass";
	Locations[n].models.always.grassPatch.texture = "grass\grassshore.tga.tx";	
	Locations[n].models.always.l1 = "plan1";
	Locations[n].models.always.l1.level = 9;
	Locations[n].models.always.l1.tech = "LocationModelBlend";
	Locations[n].models.always.l2 = "plan2";
	Locations[n].models.always.l2.level = 8;
	Locations[n].models.always.l2.tech = "LocationModelBlend";
	Locations[n].models.always.l3 = "plan3";
	Locations[n].models.always.l3.level = 7;
	Locations[n].models.always.l3.tech = "LocationModelBlend";	
	//Day
	locations[n].models.day.charactersPatch = "smugglerLairTown_patch";
	locations[n].models.day.fonars = "smugglerLairTown_fd";
	//Night
	locations[n].models.night.charactersPatch = "smugglerLairTown_patch";
	locations[n].models.night.fonars = "smugglerLairTown_fn";	
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
    n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////
	///////////////   () //////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////
	
        Locations[n].id = "Q7_NorthReef";
        locations[n].id.label = "Reefs";
        locations[n].worldmap = "Reefs";
        Locations[n].image = "loading\outside\harbor3.tga";
        //Sound
        locations[n].type = "seashore";
//		locations[n].monsters = "0";
		locations[n].islandId = "Reefs";
		locations[n].DisableEncounters = true;
        //Models
        //Always
		Locations[n].filespath.models = "locations\Outside\MountainPathDMChest";		
        Locations[n].models.always.locators = "MountainPathDMChest_locators";
        Locations[n].models.always.shore = "MountainPathDMChest";
        Locations[n].models.always.shore.foam = "1";
        Locations[n].models.always.seabed = "MountainPathDMChest_sb";
		Locations[n].models.always.Waterfall1 = "waterfall1";
	    //Locations[n].models.always.Waterfall1.uvslide.u0 = 0.3;
		Locations[n].models.always.Waterfall1.uvslide.v0 = 0.5;
	    Locations[n].models.always.Waterfall1.uvslide.v1 = 0.0;
		Locations[n].models.always.Waterfall1.tech = "LocationWaterFall";
		Locations[n].models.always.Waterfall1.level = 50;
			
		Locations[n].models.always.Waterfall2 = "waterfall2";
	    Locations[n].models.always.Waterfall2.uvslide.v0 = 0.5;
		Locations[n].models.always.Waterfall2.tech = "LocationWaterFall";
		Locations[n].models.always.Waterfall2.level = 50;
        //Day
        Locations[n].models.day.charactersPatch = "MountainPathDMChest_patch_day";
        //Night
        Locations[n].models.night.charactersPatch = "MountainPathDMChest_patch_day";
        //Environment
        Locations[n].environment.weather = "true";
        Locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   		
        //Reload map
		n = n + 1;	
	
	////////////    7 ////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_RezakMHouse";
	locations[n].id.label = "Room";
	locations[n].image = "loading\inside\mediumhouse10.tga";
	locations[n].MustSetReloadBack = true;
	//Town sack
	locations[n].townsack = "";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\mediumhouse03";
	locations[n].models.always.mediumhouse03 = "mediumhouse03";
	locations[n].models.always.mediumhouse03.level = 65538;
	locations[n].models.day.locators = "mediumhouse03_locators";
	locations[n].models.night.locators = "mediumhouse03_Nlocators";
	Locations[n].models.always.mediumhouse03windows = "mediumhouse03_windows";
	Locations[n].models.always.mediumhouse03windows.tech = "LocationWindows";
	locations[n].models.always.mediumhouse03windows.level = 65539;
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	Locations[n].models.day.mediumhouse03rand= "mediumhouse03_rand";
	locations[n].models.day.charactersPatch = "mediumhouse03_patch";
	//Night
	locations[n].models.night.charactersPatch = "mediumhouse03_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Locations[n].camshuttle = 1;
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;

	////////////////////////////////////////////////////////////
	/// LaVega Fort (flashback)
	////////////////////////////////////////////////////////////
	//ID
	Locations[n].id = "LaVega_Fort_Flsbfake";
	locations[n].id.label = "LaVega Fort";
	//Info
	Locations[n].image = "loading\outside\Fort.tga";
	locations[n].townsack = "LaVega";
	//Sound
	locations[n].type = "fort";
	locations[n].parent_colony = "LaVega";
	locations[n].islandId = "Q7_LaVega_Islnd";
//	locations[n].soldiers = true;
//	LAi_LocationFantomsGen(&locations[n], true);
	//Always
	Locations[n].filespath.models = "locations\Fort_inside\FortVRight";
	Locations[n].models.always.fortV = "fortVRight";
	locations[n].models.always.fortV.level = 65538;
	Locations[n].models.always.fortVrock = "fortVRight_rock";	
	Locations[n].models.always.fortVseabed = "fortVRight_sb";
//	Locations[n].models.always.locators = "fortVRight_locators";		
	Locations[n].models.always.locators = "FortVRight_lAttack";
	Locations[n].models.always.grassPatch = "fortVRight_grass";
	Locations[n].models.always.grassPatch.texture = "grass\grassshore.tga.tx";
	
	Locations[n].models.always.l1 = "plan1";
	Locations[n].models.always.l1.level = 9;
	Locations[n].models.always.l1.tech = "LocationModelBlend";	
	//Day
	locations[n].models.day.charactersPatch = "fortVRight_patch";
	Locations[n].models.day.fortVFonarsDay = "fortVRight_fd";
	//Night
	locations[n].models.night.charactersPatch = "fortVRight_patch";
	Locations[n].models.night.fortVBigNight= "fortVRight_fn";			
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
    //Reload map
	n = n + 1;
	
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  - Flsb
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_LaVega_Town_Flsb";
	locations[n].id.label = "Street";
	locations[n].worldmap = "LaVega";
	
	locations[n].townsack = "LaVega";
	//locations[n].fastreload = "LaVega";
	//locations[n].islandId = "Mein";
	
	locations[n].filespath.models = "locations\Town_Caracas\Town\";
	locations[n].image = "loading\Town.tga";
//	locations[n].citizens = true;
//	locations[n].soldiers = true;
//	locations[n].carrier = true;
	//==>      , int  -    (1-10)
	//locations[n].questSeekCap = 8; 
	//Sound
	locations[n].type = "town";
//	LAi_LocationFantomsGen(&locations[n], true);
	//locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "Caracas";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "Caracas_signsA";
	locations[n].models.always.seabed = "Caracas_sb";
	locations[n].models.always.locators = "Caracas_locators";
	locations[n].models.always.grassPatch = "Caracas_grass";
	//Fontain
	locations[n].models.always.Waterfall1 = "fontain1";
	locations[n].models.always.Waterfall1.uvslide.v0 = 0.5;
    locations[n].models.always.Waterfall1.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall1.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall1.level = 50;
	locations[n].models.always.Waterfall2 = "fontain2";
	locations[n].models.always.Waterfall2.uvslide.v0 = 0.2;
    locations[n].models.always.Waterfall2.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall2.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall2.level = 49;
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.15;
	//Day
	locations[n].models.day.fonar = "Caracas_fd";
	locations[n].models.day.charactersPatch = "Caracas_patch_day";
	locations[n].models.day.rinok = "Caracas_rinok";
	//Night
	locations[n].models.night.fonar = "Caracas_fn";
	locations[n].models.night.charactersPatch = "Caracas_patch_night";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
    // -->   ,    10 .
	locations[n].reload.l3.name = "reload3_back";
	locations[n].reload.l3.go = "Q7_LaVega_townhall_Flsb";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Residence";
	n = n + 1;	
	
	/////////  -  Flsb/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_LaVega_townhall_Flsb";
	locations[n].id.label = "Townhall";
	locations[n].image = "loading\inside\BigHouse02.tga";
	//Town sack
	locations[n].townsack = "LaVega";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
//	locations[n].fastreload = "Tortuga";
 	locations[n].islandId = "Hispaniola";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\BigHouse02\";
	locations[n].models.always.models = "BigHouse02";
	locations[n].models.always.models.level = 65538;
	locations[n].models.always.window = "BigHouse02_windows";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "BigHouse02_patch";
	locations[n].models.day.locators = "BigHouse02_Blocators";
	//Night
	locations[n].models.night.charactersPatch = "BigHouse02_patch";
	locations[n].models.night.locators = "BigHouse02_BNlocators";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;	

	/////////  -  Flsb/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_Antig_house";
	locations[n].filespath.models = "locations\inside\StoneHouse";
	locations[n].id.label = "House";
	locations[n].image = "loading\inside\stonehouse.tga";
	locations[n].MustSetReloadBack = true;
	//Town sack
	locations[n].townsack = "SentJons";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "SentJons";
	//Models
	//Always
	locations[n].models.always.tavern = "StoneHouse";
	locations[n].models.always.tavern.level = 65538;
	locations[n].models.always.window = "StoneHouse_window";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
    locations[n].models.day.locators = "StoneHouse_lPrivate"; // homo for CapBloodLine
    locations[n].models.night.locators = "StoneHouse_lPrivateN";

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "StoneHouse_patch";
	//Night
	locations[n].models.night.charactersPatch = "StoneHouse_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "Q7_Antig_houseRoom";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Room";
	n = n + 1;	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q7_Antig_houseRoom";
	locations[n].id.label = "Cabinet";
	locations[n].image = "loading\inside\smallresidence.tga";
	locations[n].MustSetReloadBack = true;
	locations[n].townsack = "SentJons";
	locations[n].fastreload = "SentJons";
	locations[n].islandId = "Antigua";
	//Town sack
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\SmallResidence";
	locations[n].models.always.locators = "SmallResidence_locators";
	locations[n].models.always.house = "SmallResidence";
	locations[n].models.always.house.level = 65538;
	locations[n].models.always.window = "SmallResidence_windows";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "SmallResidence_patch";
	//Night
	locations[n].models.night.charactersPatch = "SmallResidence_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;		

	//////////// -   ///////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q8_Mystery_Recidence";
	locations[n].id.label = "Room";
	locations[n].image = "loading\inside\BigHouse04.tga";
	locations[n].MustSetReloadBack = true;
	locations[n].PlayHall = true; //    ,  .. id.label 
	//Town sack
	locations[n].townsack = "";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "";	///house
	locations[n].fastreload = "";
	//Always
	locations[n].filespath.models = "locations\Inside\BigHouse04";
	locations[n].models.always.house = "BigHouse04";
	locations[n].models.always.house.level = 65538;
	locations[n].models.always.window = "BigHouse04_windows";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "BigHouse04_patch_x";
	locations[n].models.day.locators = "BigHouse04_locators_x";
	//Night
	locations[n].models.night.charactersPatch = "BigHouse04_patch_x";
	locations[n].models.night.locators = "BigHouse04_Nlocators";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	n = n + 1;	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  Beliz	-  Q9_
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q9_Beliz_town";
	locations[n].id.label = "Street";
	locations[n].worldmap = "Beliz";
	locations[n].filespath.models = "locations\Town_Beliz\Town\";
	locations[n].image = "loading\Town.tga";
///	locations[n].citizens = true;
///	locations[n].soldiers = true;
///	locations[n].carrier = true;
	//Town sack
	locations[n].townsack = "Beliz";
	//Sound
	locations[n].type = "";
	locations[n].fastreload = "Beliz";
	locations[n].islandId = "Mein";
///	LAi_LocationFantomsGen(&locations[n], true);
	locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "Beliz";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.L1 = "Beliz_signsA";
	locations[n].models.always.seabed = "Beliz_sb";
	locations[n].models.always.locators = "Beliz_locators";
	locations[n].models.always.grassPatch = "Beliz_grass";
	locations[n].models.always.plan = "plan1";
	locations[n].models.always.plan.level = 9;
	//WindMill Fan
	locations[n].models.always.MillFan = "MillFan";
	Locations[n].models.always.MillFan.locator.group = "WindMill";
	Locations[n].models.always.MillFan.locator.name ="Fan";	
	Locations[n].models.always.MillFan.rotate.x = 0.0;
	Locations[n].models.always.MillFan.rotate.y = 0.0;
	Locations[n].models.always.MillFan.rotate.z = 0.3;
	//Day
	locations[n].models.day.fonar = "Beliz_fd";
	locations[n].models.day.charactersPatch = "Beliz_patch_day";
	locations[n].models.day.rinok = "Beliz_rinok";
	//Night
	locations[n].models.night.fonar = "Beliz_fn";
	locations[n].models.night.charactersPatch = "Beliz_patch_night";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
    // -->   ,    10 .
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Beliz";
	locations[n].reload.l1.emerge = "reload_1";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Sea";
	locations[n].locators_radius.reload.reload1_back = 1.8;

	locations[n].reload.l3.name = "reload3_back";
	locations[n].reload.l3.go = "Beliz_townhall";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Residence";
	locations[n].reload.l3.close_for_night = 1;

	locations[n].reload.lR1.name = "reloadR1";
	locations[n].reload.lR1.go = "Beliz_TownhallRoom";
	locations[n].reload.lR1.emerge = "reload3";
	locations[n].reload.lR1.autoreload = "0";
	locations[n].reload.lR1.label = "Residence";
	locations[n].reload.lR1.close_for_night = 1;

	locations[n].reload.l4.name = "reload4_back";
	locations[n].reload.l4.go = "Beliz_tavern";
	locations[n].reload.l4.emerge = "reload1";
	locations[n].reload.l4.autoreload = "0";
	locations[n].reload.l4.label = "Tavern";

	locations[n].reload.l5.name = "reload5_back";
	locations[n].reload.l5.go = "Beliz_shipyard";
	locations[n].reload.l5.emerge = "reload1";
	locations[n].reload.l5.autoreload = "0";
	locations[n].reload.l5.label = "Shipyard";
	locations[n].reload.l5.close_for_night = 1;

	locations[n].reload.l6.name = "reload6_back";
	locations[n].reload.l6.go = "Beliz_store";
	locations[n].reload.l6.emerge = "reload1";
	locations[n].reload.l6.autoreload = "0";
	locations[n].reload.l6.label = "Store";
	locations[n].reload.l6.close_for_night = 1;

	locations[n].reload.l7.name = "reload7_back";
	locations[n].reload.l7.go = "Beliz_church";
	locations[n].reload.l7.emerge = "reload1";
	locations[n].reload.l7.autoreload = "0";
	locations[n].reload.l7.label = "Church";
	//locations[n].reload.l7.close_for_night = 1;

	locations[n].reload.l8.name = "reload8_back";
	locations[n].reload.l8.go = "Beliz_bank";
	locations[n].reload.l8.emerge = "reload1";
	locations[n].reload.l8.autoreload = "0";
	locations[n].reload.l8.label = "Usurer House";
	locations[n].reload.l8.close_for_night = 1;

	locations[n].reload.l10.name = "reload10_back";
	locations[n].reload.l10.go = "Beliz_PortOffice";
	locations[n].reload.l10.emerge = "reload1";
	locations[n].reload.l10.autoreload = "0";
	locations[n].reload.l10.label = "PortOffice";
	locations[n].reload.l10.close_for_night = 1;

	locations[n].reload.gate.name = "gate_back";
	locations[n].reload.gate.go = "Beliz_ExitTown";
	locations[n].reload.gate.emerge = "reload3";
	locations[n].reload.gate.autoreload = "0";
	locations[n].reload.gate.label = "ExitTown";
	n = n + 1;	
 	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//  Beliz	-  Q9_
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q9_Beliz_townhall";
	locations[n].id.label = "Townhall";
	locations[n].filespath.models = "locations\inside\Residence01";
	locations[n].image = "loading\inside\residence.tga";
	//Town sack
	locations[n].townsack = "Beliz";
	locations[n].lockWeather = "Inside";
	//Sound
///	locations[n].type = "residence";
	locations[n].type = "house";
	locations[n].fastreload = "Beliz";
	locations[n].islandId = "Mein";
	// 
///	locations[n].soldiers = true;
	LAi_LocationFantomsGen(&locations[n], true);
	//Models
	//Always
	locations[n].models.always.locators = "Residence01_locators";
	locations[n].models.always.l1 = "Residence01";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.window = "residence01_window";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;	
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "Residence01_patch";
	//Night
	locations[n].models.night.charactersPatch = "Residence01_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	//Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Q9_Beliz_town";
	locations[n].reload.l1.emerge = "reload3";
	locations[n].reload.l1.autoreload = "0";
    locations[n].reload.l1.label = "Street";
	LAi_LocationFightDisable(&locations[n], false);
	Thieft_LocationDisable(&Locations[n], true);	///   
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q9_Beliz_TownhallRoom"; //       
	locations[n].id.label = "TownhallQRoom";
	locations[n].image = "loading\inside\BigHouseBack.tga";
	//Town sack
	locations[n].townsack = "Beliz";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "Beliz";
	locations[n].islandId = "Mein";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\BigHouseBack";
	locations[n].models.always.house = "BigHouseBack";
	locations[n].models.always.house.level = 65538;
	locations[n].models.always.window = "BigHouseBack_windows";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "BigHouseBack_patch";
	locations[n].models.day.locators = "BigHouseBack_locators";
	//Night
	locations[n].models.night.charactersPatch = "BigHouseBack_patch";
	locations[n].models.night.locators = "BigHouseBack_Nlocators";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Q9_Beliz_townhall";
	locations[n].reload.l1.emerge = "reload3";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Townhall";
	Locations[n].reload.l1.disable = false;

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "CommonBedroom";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "BedRoom";
	Locations[n].reload.l2.disable = true;

	locations[n].reload.l3.name = "reload3";
	locations[n].reload.l3.go = "Beliz_town";
	locations[n].reload.l3.emerge = "reloadR1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Street";
	Locations[n].reload.l3.disable = true;
	n = n + 1;	
		

	////////////////////////////////////////////////////////////
	/// Beliz Fort Q9_
	////////////////////////////////////////////////////////////
	//ID
	Locations[n].id = "Q9_Beliz_Fort";
	locations[n].id.label = "Beliz Fort";
	//Info
	Locations[n].image = "loading\outside\Fort.tga";
	locations[n].townsack = "Beliz";
	//Sound
	locations[n].type = "fort";
	locations[n].parent_colony = "Beliz";
	locations[n].islandId = "Mein";
	locations[n].soldiers = true;
	LAi_LocationFantomsGen(&locations[n], true);
	//Always
	Locations[n].filespath.models = "locations\Fort_inside\FortVRight";
	Locations[n].models.always.fortV = "fortVRight";
	locations[n].models.always.fortV.level = 65538;
	Locations[n].models.always.fortVrock = "fortVRight_rock";	
	Locations[n].models.always.fortVseabed = "fortVRight_sb";
	Locations[n].models.always.locators = "fortVRight_locators";
	Locations[n].models.always.grassPatch = "fortVRight_grass";
	Locations[n].models.always.grassPatch.texture = "grass\grassshore.tga.tx";	
	Locations[n].models.always.l1 = "plan1";
	Locations[n].models.always.l1.level = 9;
	Locations[n].models.always.l1.tech = "LocationModelBlend";	
	//Day
	locations[n].models.day.charactersPatch = "fortVRight_patch";
	Locations[n].models.day.fortVFonarsDay = "fortVRight_fd";
	//Night
	locations[n].models.night.charactersPatch = "fortVRight_patch";
	Locations[n].models.night.fortVBigNight= "fortVRight_fn";			
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
    //Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Beliz_exitTown";
	locations[n].reload.l1.emerge = "reload2";
	locations[n].reload.l1.autoreload = "1";
	Locations[n].reload.l1.disable = 1;

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "Beliz_prison";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.disable = 1;	
	n = n + 1;

  	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	/// Beliz Tavern  Q9_
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q9_Beliz_tavern";
	locations[n].id.label = "Taverncb";
	locations[n].filespath.models = "locations\inside\Tavern01\";
	locations[n].image = "loading\inside\tavern.tga";
///	locations[n].habitues = 1;
	//Town sack
	locations[n].townsack = "Beliz";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "tavern";
	locations[n].fastreload = "Beliz";
	locations[n].islandId = "Mein";
	//Models
	//Always
	locations[n].models.always.tavern = "Tavern01";
	locations[n].models.always.tavern.level = 65538;
///	locations[n].models.always.locators = "Tavern01_locators";
	locations[n].models.always.locators = "tavern01_locators_q9";
	locations[n].models.always.window = "tavern01_windows";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.window.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "Tavern01_patch";
	//Night
	locations[n].models.night.charactersPatch = "Tavern01_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	//Reload map
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Beliz_town";
	locations[n].reload.l1.emerge = "reload4";
	locations[n].reload.l1.autoreload = "0";
    locations[n].reload.l1.label = "Street";
	Locations[n].reload.l1.disable = 1;		

	locations[n].reload.l2.name = "reload2_back";
	locations[n].reload.l2.go = "Beliz_tavern_upstairs";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Tavern upstairs";
	locations[n].reload.l2.disable = 1; // ,      .
	LAi_LocationFightDisable(&locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	n = n + 1;
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q10_Martinique_House";
	locations[n].id.label = "Room";
	locations[n].image = "loading\inside\mediumhouse10.tga";
///	locations[n].MustSetReloadBack = true;
	//Town sack
	locations[n].townsack = "FortFrance";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "";
	//Models
	//Always
	locations[n].filespath.models = "locations\inside\mediumhouse03";
	locations[n].models.always.mediumhouse03 = "mediumhouse03";
	locations[n].models.always.mediumhouse03.level = 65538;
	locations[n].models.day.locators = "mediumhouse03_locators";
	locations[n].models.night.locators = "mediumhouse03_Nlocators";

	Locations[n].models.always.mediumhouse03windows = "mediumhouse03_windows";
	Locations[n].models.always.mediumhouse03windows.tech = "LocationWindows";
	locations[n].models.always.mediumhouse03windows.level = 65539;

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	Locations[n].models.day.mediumhouse03rand= "mediumhouse03_rand";
	locations[n].models.day.charactersPatch = "mediumhouse03_patch";
	//Night
	locations[n].models.night.charactersPatch = "mediumhouse03_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "none";
	locations[n].reload.l1.emerge = "none";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "";
	Locations[n].reload.l1.disable = 1;
	n = n + 1;	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Q11_Nevis_CobHouse";
	locations[n].filespath.models = "locations\inside\CobHouse";
	locations[n].id.label = "House";
	locations[n].image = "loading\inside\CobHouse.tga";
	locations[n].MustSetReloadBack = true;
	//Town sack
	locations[n].townsack = "Charles";
	locations[n].lockWeather = "Inside";
	//Sound
	locations[n].type = "house";
	locations[n].fastreload = "Charles";
	locations[n].islandId = "Nevis";
	//Models
	//Always
	locations[n].models.always.tavern = "CobHouse";
	locations[n].models.always.tavern.level = 65538;
	locations[n].models.always.window = "CobHouse_window";
	locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	locations[n].models.day.locators = "CobHouse_locators";
	locations[n].models.night.locators = "CobHouse_Nlocators";

	locations[n].models.always.back = "..\inside_back";
	locations[n].models.always.back.level = 65529;
	//Day
	locations[n].models.day.charactersPatch = "CobHouse_patch";
	//Night
	locations[n].models.night.charactersPatch = "CobHouse_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Reload map
	locations[n].reload.l1.name = "reload1";
	locations[n].reload.l1.go = "Charles_town";
	locations[n].reload.l1.emerge = "houseSp5";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Street";
	Locations[n].reload.l1.disable = 1;

	locations[n].reload.l2.name = "reload2";
	locations[n].reload.l2.go = "CommonPirateresidence";
	locations[n].reload.l2.emerge = "reload1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Room";
	Locations[n].reload.l2.disable = 1;
	n = n + 1;	
	
	//////////////////////////   ////////////////////////
	Locations[n].id = "Q11_Jackmans_BoardShip";
	locations[n].id.label = "Boarding deck";
	//Info
	Locations[n].type = "deck_fight";
	Locations[n].filespath.models = "locations\decks\deckMediumVSBig";
	Locations[n].image = "loading\Boarding.tga";
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;	
	//Models		//Always
	Locations[n].models.always.deckMediumVSBig = "deckMediumVSBig";
///	Locations[n].models.always.locators = "deckMediumVSBig_locators";	
	Locations[n].models.always.locators = "DeckMediumVSBig_locators_goto";	
	//Day
	locations[n].models.day.charactersPatch = "deckMediumVSBig_patch";
	Locations[n].models.day.deckFonarsDay = "deckMediumVSBig_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckMediumVSBig_patch";
	Locations[n].models.night.deckFonarsNigh = "deckMediumVSBig_fn";	
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
///	Locations[n].boarding = "true";
	Locations[n].boarding.locatorNum = 13;
	Locations[n].boarding.nextdeck = "";
	Locations[n].UpDeckType = true;
///	
	LAi_LocationFightDisable(&locations[n], true);
	Thieft_LocationDisable(&Locations[n], true);	///   	
	n = n + 1;
	
	//////////////////////////  "" ////////////////////////
/// 	
	Locations[n].id = "Q12_Levfn_Cabin";   //  
    locations[n].id.label = "Q12_LevCabTab";
	locations[n].filespath.models = "locations\inside\cabin02\";
	locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "residence";
	//Models
	//Always
	locations[n].models.always.l1 = "cabin02";
	locations[n].models.always.l1.level = 65538;
	locations[n].models.always.locators = "cabin02_locators";
	locations[n].models.always.window = "cabin02_fonar";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	locations[n].models.day.charactersPatch = "cabin02_patch";
	//Night
	locations[n].models.night.charactersPatch = "cabin02_patch";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	Thieft_LocationDisable(&Locations[n], true);	///   	

    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q12_Levfn_Campus";
	Locations[n].reload.l1.emerge = "reload2";
	Locations[n].reload.l1.label = "Deck.";
	Locations[n].items.randitem1 = "";
	locations[n].environment.weather.rain = false;
	n = n + 1;	

/// -
	Locations[n].id = "Q12_Levfn_Campus";
	Locations[n].id.label = "Q12_LevCampTab";
	Locations[n].filespath.models = "locations\decks\camp_deck";
    Locations[n].image = "loading\capdeck.tga";
	//Sound
	locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "camp_deck_l";
	Locations[n].models.always.l1 = "camp_deck";
	locations[n].models.always.l1.level = 65538;
	Locations[n].models.always.window = "camp_deck_w";
	Locations[n].models.always.window.tech = "LocationWindows";
	locations[n].models.always.window.level = 65539;
	//Day
	Locations[n].models.day.charactersPatch = "camp_deck_pd";
	Locations[n].models.day.fonar = "camp_deck_fd";
	//Night
	Locations[n].models.night.charactersPatch = "camp_deck_pn";
	Locations[n].models.night.fonar = "camp_deck_fn";
	//Environment
	Locations[n].environment.sea = "true";
	Locations[n].environment.weather = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	

    Locations[n].locators_radius.rld.loc0 = 0.5;
    Locations[n].locators_radius.rld.loc1 = 0.5;
    Locations[n].locators_radius.rld.loc2 = 0.5;
    Locations[n].locators_radius.rld.loc3 = 0.5;
    Locations[n].locators_radius.rld.aloc0 = 0.5;
    Locations[n].locators_radius.rld.aloc1 = 0.5;
    Locations[n].locators_radius.rld.aloc2 = 0.5;
    Locations[n].locators_radius.rld.aloc3 = 0.5;

    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed0";
	Locations[n].reload.l1.emerge = "reload_camp";
	Locations[n].reload.l1.label = "Deck.";
	
    Locations[n].reload.l2.name = "reload2";
	Locations[n].reload.l2.go = "Q12_Levfn_Cabin";
	Locations[n].reload.l2.emerge = "reload1";
	Locations[n].reload.l2.label = "Cabin.";
	Locations[n].reload.l2.disable = true;

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;	
	
///   0
	Locations[n].id = "Q12_Levfn_DeckMed0";
	Locations[n].id.label = "Q12_LevDeckTab";
	//Info
	Locations[n].filespath.models = "locations\decks\deck2"; //7
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "deck2_l";
	Locations[n].models.always.l1 = "deck2";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "deck2_p";
	Locations[n].models.day.fonar = "deck2_fd";
	//Night
	Locations[n].models.night.charactersPatch = "deck2_p";
	Locations[n].models.night.fonar = "deck2_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	Locations[n].boarding = "true";
    locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload_cabin";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed1";
	Locations[n].reload.l1.emerge = "reload1";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "My_Deck.";

	Locations[n].reload.l2.name = "reload_camp";
	Locations[n].reload.l2.go = "Q12_Levfn_Campus";
	Locations[n].reload.l2.emerge = "reload1";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "My_Campus.";

	Locations[n].reload.l3.name = "reload_hold";
	Locations[n].reload.l3.go = "Q12_Levfn_Deck";
	Locations[n].reload.l3.emerge = "reload1";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "My_Deck.";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;

///   	
	Locations[n].id = "Q12_Levfn_Deck";    //  
	Locations[n].id.label = "Q12_LevTrumTab";
	//Info
	Locations[n].filespath.models = "locations\decks\hold";
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "hold_l";
	Locations[n].models.always.l1 = "hold";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "hold_p";
	Locations[n].models.day.fonar = "hold_fd";
	//Night
	Locations[n].models.night.charactersPatch = "hold_p";
	Locations[n].models.night.fonar = "hold_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	

	locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed0";
	Locations[n].reload.l1.emerge = "reload_hold";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Deck.";

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
///  1
	Locations[n].id = "Q12_Levfn_DeckMed1";    //  
	Locations[n].id.label = "Q12_LevTrumTab";	/// 
	//Info
	Locations[n].filespath.models = "locations\decks\hold";
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "hold_l";
	Locations[n].models.always.l1 = "hold";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "hold_p";
	Locations[n].models.day.fonar = "hold_fd";
	//Night
	Locations[n].models.night.charactersPatch = "hold_p";
	Locations[n].models.night.fonar = "hold_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "false";
	Thieft_LocationDisable(&Locations[n], true);	///   	

	locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed0";
	Locations[n].reload.l1.emerge = "reload_cabin";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Deck.";
	
    Locations[n].reload.l2.name = "reload2";
	Locations[n].reload.l2.go = "Q12_Levfn_DeckMed2";
	Locations[n].reload.l2.emerge = "reload_box";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "Deck.";	

	Locations[n].boarding = "true";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;	

///   2
	Locations[n].id = "Q12_Levfn_DeckMed2";
	Locations[n].id.label = "Q12_LevDeckTab";
	//Info
	Locations[n].filespath.models = "locations\decks\deck2"; //7
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "deck2_l";
	Locations[n].models.always.l1 = "deck2";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "deck2_p";
	Locations[n].models.day.fonar = "deck2_fd";
	//Night
	Locations[n].models.night.charactersPatch = "deck2_p";
	Locations[n].models.night.fonar = "deck2_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	Locations[n].boarding = "true";
    locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload_box";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed1";
	Locations[n].reload.l1.emerge = "reload2";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "My_Deck.";

	Locations[n].reload.l2.name = "reload_camp";
	Locations[n].reload.l2.go = "Q12_Levfn_DeckMed3";
	Locations[n].reload.l2.emerge = "reload_hold";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "My_Deck.";

	Locations[n].reload.l3.name = "reload_hold";
	Locations[n].reload.l3.go = "Q12_Levfn_DeckMed3";
	Locations[n].reload.l3.emerge = "reload_camp";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "My_Deck.";
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;	
	
///   3
	Locations[n].id = "Q12_Levfn_DeckMed3";
	Locations[n].id.label = "Q12_LevDeckTab";
	//Info
	Locations[n].filespath.models = "locations\decks\deck1"; //7
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "deck1_l";
	Locations[n].models.always.l1 = "deck1";
	locations[n].models.always.l1.level = 65538;
	Locations[n].models.always.l1.tech = "DLightModel";
	//Day
	Locations[n].models.day.charactersPatch = "deck1_p";
	Locations[n].models.day.fonar = "deck1_fd";
	Locations[n].models.day.fonar.tech = "DLightModel";
	//Night
	Locations[n].models.night.charactersPatch = "deck1_p";
	Locations[n].models.night.fonar = "deck1_fn";
	Locations[n].models.night.fonar.tech = "DLightModel";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	Locations[n].boarding = "true";
    locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload_hold";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed2";
	Locations[n].reload.l1.emerge = "reload_camp";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "My_Deck.";

	Locations[n].reload.l2.name = "reload_camp";
	Locations[n].reload.l2.go = "Q12_Levfn_DeckMed2";
	Locations[n].reload.l2.emerge = "reload_hold";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "My_Deck.";

	Locations[n].reload.l3.name = "reload_cabin1";
	Locations[n].reload.l3.go = "Q12_Levfn_DeckMed4";
	Locations[n].reload.l3.emerge = "reload_hold";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "My_Deck.";

	Locations[n].reload.l4.name = "reload_cabin2";
	Locations[n].reload.l4.go = "Q12_Levfn_DeckMed4";
	Locations[n].reload.l4.emerge = "reload_camp";
	Locations[n].reload.l4.autoreload = "0";
	Locations[n].reload.l4.label = "My_Deck.";	
	
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;

///   4
	Locations[n].id = "Q12_Levfn_DeckMed4";
	Locations[n].id.label = "Q12_LevDeckTab";
	//Info
	Locations[n].filespath.models = "locations\decks\deck2"; //7
	Locations[n].image = "loading\seaStand.tga";
	//Sound
	Locations[n].type = "residence";
	//Models
	//Always
	Locations[n].models.always.locators = "deck2_l";
	Locations[n].models.always.l1 = "deck2";
	locations[n].models.always.l1.level = 65538;
	//Day
	Locations[n].models.day.charactersPatch = "deck2_p";
	Locations[n].models.day.fonar = "deck2_fd";
	//Night
	Locations[n].models.night.charactersPatch = "deck2_p";
	Locations[n].models.night.fonar = "deck2_fn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	Locations[n].boarding = "true";
    locations[n].box1 = Items_MakeTime(0, 1, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 1, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 1, 1, 2003);

    Locations[n].reload.l1.name = "reload_cabin";
	Locations[n].reload.l1.go = "Q12_Levfn_ShipeckBig";
	Locations[n].reload.l1.emerge = "reload1";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "Cabin.";

	Locations[n].reload.l2.name = "reload_camp";
	Locations[n].reload.l2.go = "Q12_Levfn_DeckMed3";
	Locations[n].reload.l2.emerge = "reload_cabin2";
	Locations[n].reload.l2.autoreload = "0";
	Locations[n].reload.l2.label = "My_Campus.";

	Locations[n].reload.l3.name = "reload_hold";
	Locations[n].reload.l3.go = "Q12_Levfn_DeckMed3";
	Locations[n].reload.l3.emerge = "reload_cabin1";
	Locations[n].reload.l3.autoreload = "0";
	Locations[n].reload.l3.label = "My_Deck.";
	
	Locations[n].camshuttle = 1;
	locations[n].environment.weather.rain = false;
	n = n + 1;
	
///  
	Locations[n].id = "Q12_Levfn_ShipeckBig";
	Locations[n].image = "loading\sea.tga";
	locations[n].id.label = "Q12_LevBDeckTab";
	//Sound
	Locations[n].type = "deck";
	Locations[n].lockCamAngle = 0.4;
	Locations[n].camshuttle = 1;
 	//Models
	//Always
	Locations[n].filespath.models = "locations\decks\deckBig";
	Locations[n].models.always.deckBig = "deckBig";
	Locations[n].models.always.locators = "deckBig_locators";
	//Day
	locations[n].models.day.charactersPatch = "deckBig_patch";
	Locations[n].models.day.deckBigFonarsDay = "deckBig_fd";
	//Night
	locations[n].models.night.charactersPatch = "deckBig_patch";
	Locations[n].models.night.deckMediumBigNight= "deckBig_fn";
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	Thieft_LocationDisable(&Locations[n], true);	///   	

	locations[n].box1 = Items_MakeTime(0, 0, 1, 2003);
	locations[n].box2 = Items_MakeTime(0, 0, 1, 2003);
    locations[n].box3 = Items_MakeTime(0, 0, 1, 2003);
    locations[n].box4 = Items_MakeTime(0, 0, 1, 2003);
	
    Locations[n].reload.l1.name = "reload1";
	Locations[n].reload.l1.go = "Q12_Levfn_DeckMed4";
	Locations[n].reload.l1.emerge = "reload_cabin";
	Locations[n].reload.l1.autoreload = "0";
	Locations[n].reload.l1.label = "My_Deck.";	
	n = n + 1;

/// Tests	

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// Margarita
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	locations[n].id = "Margarita_town";
	locations[n].id.label = "Street";
	locations[n].worldmap = "NewVega";	///
	
	locations[n].townsack = "NewVega";	///
	locations[n].fastreload = "NewVega";	///
	locations[n].islandId = "Hispaniola";	///
	
	locations[n].filespath.models = "locations\Town_Margarita\Town\";
	locations[n].image = "loading\Town.tga";
///	locations[n].citizens = true;
///	locations[n].soldiers = true;
///	locations[n].carrier = true;
	//==>      , int  -    (1-10)
	locations[n].questSeekCap = 8; 
	//Sound
	locations[n].type = "town";
	LAi_LocationFantomsGen(&locations[n], true);
	locations[n].houseEnc = true; //   
	//Models
	//Always
	locations[n].models.always.town = "Margarita";
	locations[n].models.always.town.sea_reflection = 1;
	locations[n].models.always.gate = "Margarita_gate";	///PortRoyal_signsA
	locations[n].models.always.seabed = "Margarita_sb";
	locations[n].models.always.locators = "Margarita_locators";
///	locations[n].models.always.locators = "Margarita_quest_locators";
///	locations[n].models.always.locators = "Margarita_quest_locators_with_flame";
	locations[n].models.always.grassPatch = "Margarita_grass";
	
	locations[n].models.always.plan = "Margarita_ships";	///plan1
	locations[n].models.always.plan.level = 9;

	//Fontain
	locations[n].models.always.Waterfall1 = "fontain1";
	locations[n].models.always.Waterfall1.uvslide.v0 = 0.5;
    locations[n].models.always.Waterfall1.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall1.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall1.level = 50;
	
	locations[n].models.always.Waterfall2 = "fontain2";
	locations[n].models.always.Waterfall2.uvslide.v0 = 0.2;
    locations[n].models.always.Waterfall2.uvslide.v1 = 0.0;
	locations[n].models.always.Waterfall2.tech = "LocationWaterFall";
	locations[n].models.always.Waterfall2.level = 49;

	//Day
	locations[n].models.day.fonar = "Margarita_fd";
	locations[n].models.day.charactersPatch = "Margarita_patch_day";
///	locations[n].models.day.charactersPatch = "Margarita_patch_quest";
///	locations[n].models.day.charactersPatch = "Margarita_patch_roof";
	locations[n].models.day.rinok = "Margarita_rinok";
	Locations[n].models.day.jumpPatch = "Margarita_jump_patch";	
	//Night
	locations[n].models.night.fonar = "Margarita_fn";
	locations[n].models.night.charactersPatch = "Margarita_patch_night";
	Locations[n].models.night.jumpPatch = "Margarita_jump_patch";	
	//Environment
	locations[n].environment.weather = "true";
	locations[n].environment.sea = "true";
	//Reload map

	
/// !!!
    // -->   ,    10 .
	locations[n].reload.l1.name = "reload1_back";
	locations[n].reload.l1.go = "Jamaica";
	locations[n].reload.l1.emerge = "reload_1";
	locations[n].reload.l1.autoreload = "0";
	locations[n].reload.l1.label = "Sea";
	locations[n].locators_radius.reload.reload1_back = 1.8;

	locations[n].reload.l2.name = "reload2_back";
	locations[n].reload.l2.go = "Jamaica";
	locations[n].reload.l2.emerge = "reload_1";
	locations[n].reload.l2.autoreload = "0";
	locations[n].reload.l2.label = "Sea";
	locations[n].locators_radius.reload.reload2_back = 1.8;

	locations[n].reload.l3.name = "reload3_back";
	locations[n].reload.l3.go = "PortRoyal_townhall";
	locations[n].reload.l3.emerge = "reload1";
	locations[n].reload.l3.autoreload = "0";
	locations[n].reload.l3.label = "Residence";
	locations[n].reload.l3.close_for_night = 1;

	locations[n].reload.l4.name = "reload4_back";
	locations[n].reload.l4.go = "PortRoyal_tavern";
	locations[n].reload.l4.emerge = "reload1";
	locations[n].reload.l4.autoreload = "0";
	locations[n].reload.l4.label = "Tavern";

	locations[n].reload.l5.name = "reload5_back";
	locations[n].reload.l5.go = "PortRoyal_shipyard";
	locations[n].reload.l5.emerge = "reload1";
	locations[n].reload.l5.autoreload = "0";
	locations[n].reload.l5.label = "Shipyard";
	locations[n].reload.l5.close_for_night = 1;

	locations[n].reload.l6.name = "reload6_back";
	locations[n].reload.l6.go = "PortRoyal_store";
	locations[n].reload.l6.emerge = "reload1";
	locations[n].reload.l6.autoreload = "0";
	locations[n].reload.l6.label = "Store";
	locations[n].reload.l6.close_for_night = 1;

	locations[n].reload.l7.name = "reload7_back";
	locations[n].reload.l7.go = "PortRoyal_church";
	locations[n].reload.l7.emerge = "reload1";
	locations[n].reload.l7.autoreload = "0";
	locations[n].reload.l7.label = "Church";
	//locations[n].reload.l7.close_for_night = 1;

	locations[n].reload.l8.name = "reload8_back";
	locations[n].reload.l8.go = "PortRoyal_Bank";
	locations[n].reload.l8.emerge = "reload1";
	locations[n].reload.l8.autoreload = "0";
	locations[n].reload.l8.label = "Usurer House";
	locations[n].reload.l8.close_for_night = 1;

	locations[n].reload.l9.name = "reload9_back";
	locations[n].reload.l9.go = "PortRoyal_brothel";
	locations[n].reload.l9.emerge = "reload1";
	locations[n].reload.l9.autoreload = "0";
	locations[n].reload.l9.label = "Brothel";

 	locations[n].reload.l91.name = "reload91";
	locations[n].reload.l91.go = "PortRoyal_SecBrRoom";
	locations[n].reload.l91.emerge = "reload2";
	locations[n].reload.l91.autoreload = "0";
	locations[n].reload.l91.label = "Brothel";

	locations[n].reload.l10.name = "reload10_back";
	locations[n].reload.l10.go = "PortRoyal_PortOffice";
	locations[n].reload.l10.emerge = "reload1";
	locations[n].reload.l10.autoreload = "0";
	locations[n].reload.l10.label = "PortOffice";
	locations[n].reload.l10.close_for_night = 1;

	locations[n].reload.gate.name = "gate_back";
	locations[n].reload.gate.go = "PortRoyal_ExitTown";
	locations[n].reload.gate.emerge = "reload4";
	locations[n].reload.gate.autoreload = "0";
	locations[n].reload.gate.label = "ExitTown";

    // -->  , 9 .
	locations[n].reload.l11.name = "houseS1";
	locations[n].reload.l11.go = "PortRoyal_houseS1";
	locations[n].reload.l11.emerge = "reload1";
	locations[n].reload.l11.autoreload = "0";
	locations[n].reload.l11.label = "Morgan's House";

	// --> , .     20.
	locations[n].reload.l20.name = "houseSp1";
	locations[n].reload.l20.go = "CommonDoubleflourHouse_1";
	locations[n].reload.l20.emerge = "reload1";
	locations[n].reload.l20.autoreload = "0";
	locations[n].reload.l20.label = "House";
    
 	locations[n].reload.l21.name = "houseSp2";
	locations[n].reload.l21.go = "CommonStoneHouse";
	locations[n].reload.l21.emerge = "reload1";
	locations[n].reload.l21.autoreload = "0";
	locations[n].reload.l21.label = "House";

	locations[n].reload.l22.name = "houseSp3";
	locations[n].reload.l22.go = "PortRoyal_houseSp3";   // CommonDoubleflourHouse_2
	locations[n].reload.l22.emerge = "reload1";
	locations[n].reload.l22.autoreload = "0";
	locations[n].reload.l22.label = "House";

	locations[n].reload.l23.name = "houseSp4";
	locations[n].reload.l23.go = "CommonPirateHouse";
	locations[n].reload.l23.emerge = "reload1";
	locations[n].reload.l23.autoreload = "0";
	locations[n].reload.l23.label = "House";

	locations[n].reload.l24.name = "houseF1";
	locations[n].reload.l24.go = "CommonRoom_MH3";
	locations[n].reload.l24.emerge = "reload1";
	locations[n].reload.l24.autoreload = "0";
	locations[n].reload.l24.label = "House";
	n = n + 1;
	
	
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// -.  13 "". .
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	Locations[n].id = "SanSeb_flash";
	locations[n].id.label = "SanSeb";
	//locations[n].worldmap = "Curacao";
	Locations[n].filespath.models = "locations\Town_Redmond\Town_04";
	Locations[n].image = "loading\Town.tga";
	//Town sack
	Locations[n].townsack = "SanSeb";
	Thieft_LocationDisable(&Locations[n], true);	///   	
	//Sound
	locations[n].type = "town";
	locations[n].citizens = true;
	locations[n].soldiers = true;
	//locations[n].carrier = true;
	locations[n].fastreload = "SanJuan";
//	LAi_LocationFantomsGen(&locations[n], true);
	//Models
	//Always
	locations[n].models.always.town = "Red04";
	Locations[n].models.always.town.tech = "DLightModel";
	locations[n].models.always.town.sea_reflection = 1;	
//	Locations[n].models.always.L1 = "Red01";
	Locations[n].models.always.locators = "Red04_l";
	Locations[n].models.always.grassPatch = "Red04_g";
	//River
	Locations[n].models.always.dno = "Red04_rb";
	Locations[n].models.always.dno.level = 95;
	Locations[n].models.always.dno.uvslide.u1 = -0.12;
	Locations[n].models.always.dno.uvslide.v1 = -0.03;
	Locations[n].models.always.dno.tech = "LocationRiverFloor";
	Locations[n].models.always.mirrow = "Red04_re";
	Locations[n].models.always.mirrow.level = 96;
	Locations[n].models.always.dnoBlend = "Red04_rb";
	Locations[n].models.always.dnoBlend.level = 97;
	Locations[n].models.always.dnoBlend.uvslide.u1 = -0.1;
	Locations[n].models.always.dnoBlend.uvslide.v1 = 0.04;
	Locations[n].models.always.dnoBlend.tech = "LocationRiverFloorBlend";
	Locations[n].models.always.river = "Red04_rt";
	Locations[n].models.always.river.level = 98;
	Locations[n].models.always.river.uvslide.v0 = -0.1;
	Locations[n].models.always.river.uvslide.u1 = 0.15;
	Locations[n].models.always.river.tech = "LocationRiver";
	//Day
	Locations[n].models.day.fonar = "Red04_fd";
	Locations[n].models.day.charactersPatch = "Red04_pd";
	Locations[n].models.day.rinok = "Red04_e01";
	//Night
	Locations[n].models.night.fonar = "Red04_fn";
	Locations[n].models.night.charactersPatch = "Red04_pn";
	//Environment
	Locations[n].environment.weather = "true";
	Locations[n].environment.sea = "false";
	//Reload map
	n = n + 1;  
	
	
	
	return n;
}
